<app-breadcrumb-admin [single]="false" titlePage="Crear Tarea" backPage="Tareas" url="tasks"></app-breadcrumb-admin>

<div class="row">
  <div class="col-12">
    <div class="card mb-3">
      <div class="card-header">
        <h3 class="text-capitalize"><fa-icon [icon]="faHandPointer"></fa-icon> Nuevo Tarea</h3>
      </div>
      <div class="card-body">
        <form class="validate-form" (ngSubmit)="submit(form)" #form="ngForm">
          <div class="row">
            <div class="col-12">
              <label for="area"  class="label-flags">
                <span> Areas</span>
              </label>
              <select name="area" id="area" class="form-control" ngModel required>
                <option [value]="area._id" *ngFor="let area of areas; let i=index;">
                  <span *ngIf="serviceTranslation.getLang() == 'es'">{{ area.name.es }}</span>
                  <span *ngIf="serviceTranslation.getLang() == 'en'">{{ area.name.es }}</span>
                </option>
              </select>

              <label for="name"  class="label-flags mt-3">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Nombre</span>
              </label>
              <input type="text" name="name" placeholder="Nombre" id="name" class="form-control" ngModel required>

              <label for="price"  class="label-flags mt-3">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Precio</span>
              </label>
              <input type="number" min="0" name="price" placeholder="Precio" id="price" class="form-control" ngModel required>

              <label for="size"  class="label-flags mt-3">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Tamaño</span>
              </label>
              <input type="number" min="0" name="size" placeholder="Tamaño" id="size" class="form-control" ngModel required>

              <label for="description"  class="label-flags mt-3">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Descripción</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="description" id="description"></ckeditor>

              <label for="complexity"  class="label-flags mt-3">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Complejidad</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="complexity" id="complexity"></ckeditor>

              <label for="include"  class="label-flags mt-3">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Incluye</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="include" id="include"></ckeditor>

              <label for="changes"  class="label-flags mt-3">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Cambios</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="changes" id="changes"></ckeditor>

              <label for="level"  class="label-flags mt-3">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Nivel</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="level" id="level"></ckeditor>

              <label for="version"  class="label-flags mt-3">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Versión</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="version" id="version"></ckeditor>

              <label for="proposal"  class="label-flags mt-3">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Propuestas</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="proposal" id="proposal"></ckeditor>
              <div class="col-2">
                <div class="form-check form-switch mt-3">
                  <input class="form-check-input" type="checkbox" id="flexSwitchCheckChecked" (click)="setEditable()"/>
                  <label class="form-check-label" for="flexSwitchCheckChecked">Editable</label>
                </div>
              </div>
            </div>
          </div>
          <div class="alert alert-primary mt-3" role="alert">
            <fa-icon [icon]="faImages"></fa-icon> Imágenes (Formato png, jpg o jpeg de tamaño 1,280 x 960 a 72 dpi)<br>
          </div>
          <div class="position-relative form-group">
            <label for="image" class="">Imagen</label>
            <div class="row">
              <div class="col-4">
                <img [src]="" class="img-fluid cursor" (click)="file.click()" [alt]="imageInit" *ngIf="imageInit">
                <img [src]="thumbnail" *ngIf="thumbnail" class="img-fluid cursor" (click)="file.click()">
                <img src="assets/images/missing.png" *ngIf="!imageInit && !thumbnail" class="img-fluid cursor" (click)="file.click()">
              </div>
              <div class="col-4 d-flex align-items-center">
                <div class="upload-btn-wrapper">
                  <button class="btn btn-primary">Selecciona un archivo</button>
                  <input type="file" name="image" id="image" (change)="getImage($event)" #file>
                </div>
              </div>
            </div>
          </div>
          <div class="alert alert-warning mt-3" role="alert">
            <fa-icon [icon]="faImages"></fa-icon> Para agregar galeria al producto, es necesario crearlo primero y posteriormente ir al apartado de edición<br>
          </div>
          <button type="submit" [disabled]="form.invalid" class="mt-2 float-end btn btn-primary">
            <fa-icon [icon]="faSave"></fa-icon>
            Guardar
          </button>
        </form>
      </div>
    </div>
  </div>
</div>


